#version 330 core

in vec3 worldNormal;
in vec2 texCoord;

uniform sampler2D color_texture;

out vec4 fragColor;

void main() 
{
	vec2 flipped_texcoord = vec2(texCoord.x, 1.0 - texCoord.y);
	fragColor = vec4(texture(color_texture, flipped_texcoord).rgb, 1.0);
}