#version 330

uniform mat4 modelMatrix;
uniform mat4 viewMatrix;
uniform mat4 projectionMatrix;

in vec3 position;				// Vertex location
in vec2 uv;			// Texture coords associated with it


out vec2 TexCoord;

void main() 
{
	TexCoord = uv;
	gl_Position = projectionMatrix * viewMatrix * modelMatrix * vec4(position, 1);
}