#version 330 core

out vec4 fragColor;
in vec2 UV;

void main(){
    // Not really needed, OpenGL does it anyway
	vec2 uvHelp = UV; 
	float border_size = 0.01;
	vec4 disc_color = vec4(1.0, 1.0, 1.0, 1.0); 
	vec2 disc_center = vec2(0.5, 0.5);
	float disc_radius = 0.5;

	
	uvHelp -= disc_center;

	float dist = sqrt(dot(uvHelp, uvHelp));
	float t = smoothstep(disc_radius + border_size, disc_radius - border_size, dist);

	fragColor = mix(vec4(0.0, 0.0, 0.0, 1.0), disc_color, t);
}