#version 330

in vec3 position;
in vec3 normal;
in vec2 uv;

uniform mat4 model;
uniform mat4 view_proj;

out vec2 fragmentUV;

out gl_PerVertex { vec4 gl_Position; };

void main()
{
    gl_Position = view_proj * model * vec4(position, 1);
    //fragmentUV = uv;
}